Subject: Chevy's and Ford's Half Off

From: Every 2013/2014 Half Off <[email-masked]>
Date: Fri, 23 May 2014 07:57:52 -0700

[Memorial Day - Extra Savings]

If you think you can't afford a new-ride think again.

If you don't mind driving a NEW 2013 you can ride for half-off:
See remanning cars: http://www.luvgetcut.com/index/car-driver/memorial-day-inv-li.html

[Participating Brands: Ford -- Chevy -- BMW -- Jeep -- And More]

We have less and less to chose from each day that goes by.
Please see what is remanning now: http://www.luvgetcut.com/index/car-driver/memorial-day-inv-li.html

-------------------------------------------------------------
-------------------------------------------------------------

-
From-MMG Auto_Association. 3519-N O St. Fort Smith. AR. 
End-Ad-Mail http://www.luvgetcut.com/7/window.hymn For: 43654358367564
-

>From The Forum:
Mar 30, 2014, 8:24 PM 

Post #4 of 12 (218 views) 
Shortcut 
Re: Engine problems on a 1989 gmc r3500 with a 454 tbi. [In reply to]	 Sign In
There are two types of lean conditions on an engine; vacuum leaks (including stuck open EGR) and not enough fuel getting into the engine. Both of those things can be caused by numerous other things. 

The key is trying to figure out what the engine is doing when it is running lean. The best method to determine how the air fuel mixture is is by monitoring the O2 sensor voltage. 

I doubt you have an scan tool that can read engine data on that, so you might have to manually check the O2 sensor voltage using a volt meter. 

It is also possible the O2 sensor can stick lean which makes the engine computer add more fuel to the engine when it doesn't need it. It might make it stumble and run rich and set that lean code. It is important to make sure the O2 sensor is functioning properly before using it to diagnose a fueling problem. 

I think something failed with the timing belt job and you should have that checked asap. Brakes more difficult is probably a side effect of low vacuum assist power due to low intake manifold vacuum. When that's wrong the engine just doesn't know what to do. 
Hurry and have the belt/pump work checked out, 

>From inland Mass. so no stranger to rust issues usually first noticed as we know as ugly body metal rust showing but definitely causes real harm to structural metals as well and can quickly. 

Now I suggest if one side did this how carefully was the other side checked out? Guess this should be on your list of things to check or have checked to be ahead of such problems. Brands don't seem to matter all the time just some seem to fare better than others up to generating recalls as losing wheels and total control of a vehicle is wildly dangerous made worse as it can happen by total surprise! 

Do learn and enjoy learning from sites such as this. This particular site is free to use and a volunteer site from regulars likely to reply to you. 

All the suggestions and even pics are inadequate compared to plain looking at and inspecting something in person, extent of rust and how important will vary. 

If it moves you have to pay attention

Tom